Summary: An RPM auto-installer and FTP site mirroring program.
Name: autorpm
Version: 1.9.8.1
Release: 2
Vendor: Kirk Bauer <kirk@kaybee.org>
Copyright: GPL
Group: Applications/System
Distribution: Red Hat Contrib|Net
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/autorpm-1.9.8.1.tar.gz
Requires: perl,rpm,dialog,mailx,perl-libnet
BuildRoot: /var/tmp/autorpm-build
BuildArch: noarch

%description
The AutoRPM program can mirror RPMs from an FTP site, keep installed
RPMs consistent with an FTP site or local directory, and keep
installed RPMs in a cluster or network of systems consistent.  AutoRPM
is designed to be highly flexible and provides a useful menu-driven
Interactive-Install mode.

%prep
%setup

%build

%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/addons
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm/scores
install -m 0600 pools/redhat-updates pools/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}/usr/sbin/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d
install -m 0600 autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.conf.sample
install -m 0600 autorpm.d/redhat-updates autorpm.d/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}/usr/man/man8

install -m 0755 -d ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 0755 autorpm.cron ${RPM_BUILD_ROOT}/etc/cron.daily

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This will copy the sample config file to the real config file
# location only if there is no existing config file...
# It will also move the config file from the old location to the
# new location if necessary.
if [ ! -f /etc/autorpm.d/autorpm.conf ] ; then
   if [ -f /etc/autorpm.conf ] ; then
      echo "Moved /etc/autorpm.conf to /etc/autorpm.d/autorpm.conf" >&2
      mv /etc/autorpm.conf /etc/autorpm.d/autorpm.conf
   else 
      cp /etc/autorpm.d/autorpm.conf.sample /etc/autorpm.d/autorpm.conf
   fi
fi

%files
%defattr(-,root,root) 
%doc COPYING README samples.conf CHANGES CREDITS TODO
%dir /var/spool/autorpm
%dir /etc/autorpm.d 
%dir /etc/autorpm.d/pools
%dir /etc/autorpm.d/addons
%dir /var/spool/autorpm/scores
%config(missingok) /etc/autorpm.d/autorpm.conf.sample
%config(missingok) /etc/autorpm.d/redhat-updates
%config(missingok) /etc/autorpm.d/autorpm-updates
%config(missingok) /etc/autorpm.d/pools/redhat-updates
%config(missingok) /etc/autorpm.d/pools/autorpm-updates
/usr/sbin/autorpm
%doc /usr/man/man5/autorpm.conf.5
%doc /usr/man/man8/autorpm.8
/etc/cron.daily/autorpm.cron

%changelog
* Thu Oct 28 1999 Tim Powers <timp@redhat.com>
- updated Powertools with 1.9.8.1-2

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- cleaned up specfile (%files section)
- changed buildroot to /var/tmp/autorpm-build
- rebuilt for Powertools

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>
- Modified to comply with RHCN standards

* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>
- initial release
